Jump to content

Payware campaigns for A-10C II?


ggoodavish
 Share

Recommended Posts

I just shelled out money for the new A-10C II, and bought some campaigns for it, namely all of the training qualification campaigns, several other campaigns in the Georgia region as well.  I have since found out all of them are only for the legacy A-10C.  Is there any way to change to the new A-10 in those campaigns, or will there be some free updates to them or modifications to them that allow us to change to the new aircraft?

Link to comment
Share on other sites

It should be possible to open the campaign missions in the Mission Editor, switch the player aircraft type, and then play them from the ME without saving, but that will lose all the campaign functionality.

 

I'm pretty sure that the new A-10C II module is supposed to include the old A-10C (one) module, and with the two aircraft being very much alike, you could just play the campaigns with the old module. Just install it in parallel. Right now during the free trial period that's going to work anyway, but afterwards you should still own the old A-10C.

 

And finally, there's a good chance that the actively supported campaigns will be converted by their creators; "The Enemy Within 3.0" has already been made available for the new A-10C II.

Link to comment
Share on other sites

Link to comment
Share on other sites

  • 2 weeks later...
  • 1 month later...
On 12/29/2020 at 4:03 AM, Yurgon said:

And finally, there's a good chance that the actively supported campaigns will be converted by their creators; "The Enemy Within 3.0" has already been made available for the new A-10C II.

Sorry for the stupid question, but I have not installed a campaign for years. I own "The Enemy Within 3.0" and it is installed. What do I have to do to get the updated version? Currently no campaigns for the A-10C II show up in the campaigns menu and Enemy Within does not show up in the user files section as posted by LiamK8.

Link to comment
Share on other sites

8 minutes ago, Hive said:

Sorry for the stupid question, but I have not installed a campaign for years. I own "The Enemy Within 3.0" and it is installed. What do I have to do to get the updated version? Currently no campaigns for the A-10C II show up in the campaigns menu and Enemy Within does not show up in the user files section as posted by LiamK8.

You shouldn't have to do anything. It should be in the Campaign section under A-10CII. I didn't have to download anything new. I believe because it is a "official" DLC, ED does the heavy lifting during updates to put them in the proper places, well as long as the creator updates them to do so.

Link to comment
Share on other sites

20 hours ago, Hive said:

I own "The Enemy Within 3.0" and it is installed. What do I have to do to get the updated version?

 

Like TheGuardian said, this should happen automatically. Make sure you're on the most recent DCS version, and you should also check the module manager and make sure that "The Enemy Within 3.0" is shown as installed under the "Campaigns" tab. Maybe try uninstalling and reinstalling the camapign in the module manager.

Since you talked about not installing campaigns for years, the older "The Enemy Within 2.0" is not compatible with the A-10C II.

 

If it still doesn't show up, you should probably open a support ticket from the digitalcombatsimulator.com site.

 

21 hours ago, Hive said:

Enemy Within does not show up in the user files section as posted by LiamK8.

 

Well I should hope not! Who would pay for it if it's downloadable free for all?

 

The only payware campaign I'm aware of that's free to download is "Operation Piercing Fury" because is was abandoned by its creator and it seems the community got the all clear to keep it up to date and distribute it free of charge.

  • Like 1
Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...